# Basic Movement
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

from roboid import *

albert = AlbertAi()

# pivot around left wheel 90/-90 degrees with default velocity(50%)
albert.pivot_left(90)
albert.pivot_left(-90)

# pivot around right wheel 90/-90 degrees with default velocity(50%)
albert.pivot_right(90)
albert.pivot_right(-90)

# pivot around left wheel 90/-90 degrees with 60% velocity
albert.pivot_left(90, 60)
albert.pivot_left(-90, 60)

# pivot around right wheel 90/-90 degrees with 60% velocity
albert.pivot_right(90, 60)
albert.pivot_right(-90, 60)

# pivot around left wheel 90 degrees with 60/-60% velocity
albert.pivot_left(90, 60)
albert.pivot_left(90, -60)

# pivot around right wheel 90 degrees with 60/-60% velocity
albert.pivot_right(90, 60)
albert.pivot_right(90, -60)

# pivot around left/right wheel for 2 seconds with default velocity(50%)
albert.pivot_left_sec(2)
albert.pivot_right_sec(2)

# pivot around left wheel for 1.5 seconds with 60/-60% velocity
albert.pivot_left_sec(1.5, 60)
albert.pivot_left_sec(1.5, -60)

# pivot around right wheel for 1.5 seconds with 60/-60% velocity
albert.pivot_right_sec(1.5, 60)
albert.pivot_right_sec(1.5, -60)

# pivot around left wheel for 1.5 seconds with 60/-60% velocity
albert.wheels(0, 60)
wait(1500)
albert.wheels(0, -60)
wait(1500)

# pivot around right wheel for 1.5 seconds with 60/-60% velocity
albert.wheels(60, 0)
wait(1500)
albert.wheels(-60, 0)
wait(1500)

# stop
albert.stop()
