# Dual Theremin Sound
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

albert1 = AlbertAi(0)
albert2 = AlbertAi(1)

# wait until two robots are ready
wait_until_ready()

hz1 = 0
hz2 = 0
while True:
    proximity = albert1.left_proximity()
    if proximity < 10:
        proximity = 0
    hz1 = (hz1 * 5 + proximity * 50) / 10.0
    albert1.buzzer(hz1)

    proximity = albert2.left_proximity()
    if proximity < 10:
        proximity = 0
    hz2 = (hz2 * 5 + proximity * 50) / 10.0
    albert2.buzzer(hz2)

    wait(20) # 20 msec
