# Mutiple Hand Follower
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

alberts = (AlbertAi(0), AlbertAi(1), AlbertAi(2), AlbertAi(3))

# wait until four robots are ready
wait_until_ready()

while True:
    for albert in alberts:
        # left wheel
        proximity = albert.left_proximity()
        if proximity > 15:
            left_speed = (40 - proximity) * 4
        else:
            left_speed = 0

        # right wheel
        proximity = albert.right_proximity()
        if proximity > 15:
            right_speed = (40 - proximity) * 4
        else:
            right_speed = 0

        albert.wheels(left_speed, right_speed)
        wait(20) # 20 msec
