# Advanced Sensor
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

from roboid import *

albert = AlbertAi()

def execute():
    print("Signal Strength: ", albert.signal_strength())
    print("Proximity: ", albert.left_proximity(), albert.right_proximity())
    print("Acceleration: ", albert.acceleration_x(), albert.acceleration_y(), albert.acceleration_z())
    print("Position: ", albert.position_x(), albert.position_y())
    print("Orientation: ", albert.orientation())
    print("Light: ", albert.light())
    print("Touch: ", albert.mic_touch(), albert.volume_up_touch(), albert.volume_down_touch(), albert.play_touch(), albert.back_touch())
    print("Clicked: ", albert.mic_clicked(), albert.volume_up_clicked(), albert.volume_down_clicked(), albert.play_clicked(), albert.back_clicked())
    print("Long Pressed: ", albert.mic_long_pressed(), albert.volume_up_long_pressed(), albert.volume_down_long_pressed(), albert.play_long_pressed(), albert.back_long_pressed())
    print("Long Long Pressed: ", albert.mic_long_long_pressed(), albert.volume_up_long_long_pressed(), albert.volume_down_long_long_pressed(), albert.play_long_long_pressed(), albert.back_long_long_pressed())
    print("Tap: ", albert.tap())
    print("Oid Mode: ", albert.oid_mode())
    print("Oid: ", albert.oid())
    print("Lift: ", albert.lift())
    print("Pulse Count: ", albert.pulse_count())
    print("Battery State: ", albert.battery_state())
    print("Tilt: ", albert.tilt())
    print("")

# set a periodic (20 msec) callback
set_executable(execute)

wait(-1) # wait forever
