# Advanced Multiple Hand Follower
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

from roboid import *

alberts = (AlbertAi(0), AlbertAi(1), AlbertAi(2), AlbertAi(3))

# wait until four robots are ready
wait_until_ready()

def execute():
    for albert in alberts:
        # left wheel
        proximity = albert.left_proximity()
        if proximity > 15:
            albert.left_wheel((40 - proximity) * 4)
        else:
            albert.left_wheel(0)

        # right wheel
        proximity = albert.right_proximity()
        if proximity > 15:
            albert.right_wheel((40 - proximity) * 4)
        else:
            albert.right_wheel(0)

# set a periodic (20 msec) callback
set_executable(execute)

wait(-1) # wait forever
