# Advanced Multiple Hand Detector
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

from roboid import *

albert1 = AlbertAi(0)
albert2 = AlbertAi(1)

# user-defined function
def check(robot):
    return robot.left_proximity() > 30

# wait until the value of the left proximity is greater than 30
wait_until(check, albert1)

# move backward 5 cm with beep sound
albert1.sound("beep")
albert1.move_backward()

# wait until the value of the left proximity is greater than 30
wait_until(check, albert2)

# move backward 5 cm with beep sound
albert2.sound("beep")
albert2.move_backward()
