# Multiple When-Do Hand Detector
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

alberts = (AlbertAi(0), AlbertAi(1), AlbertAi(2), AlbertAi(3))

# wait until four robots are ready
wait_until_ready()

# when hand found
def condition(robot):
    return robot.left_proximity() > 30 or robot.right_proximity() > 30

# move backward 5 cm with beep sound
def move(robot):
    robot.sound("beep")
    robot.move_backward()

for albert in alberts:
    when_do(condition, move, albert)

wait(-1) # wait forever
